@media all {

  .ce-type-dw_textmedia {

    & .ce-inner {
      order: 0;
      grid-column: 3 / -3;
    }

    & .ce-media {
      order: 1;
      grid-column: 3 / -3;

      & .ce-gallery {
        display: flex;
        flex-direction: column;
        gap: var(--element-gap);
      }

      & .ce-media-file {
        overflow: clip;
      }

    }

  }

}

@media (min-width: 62.5rem) {

  .ce-type-dw_textmedia {

    & .ce-inner ,
    & .ce-media {
      grid-row: 1;
      display: flex;
      flex-direction: column;
      justify-content: top;
    }

    &:has(.ce-media-right) {

      & .ce-inner {
        padding-right: var(--element-padding);
        grid-column: 3 / -15;
      }

      & .ce-media {
        grid-column: 15 / -3;
      }

    }

    &:has(.ce-media-left) {

      & .ce-inner {
        padding-left: var(--element-padding);
        grid-column: 15 / -3;
      }

      & .ce-media {
        grid-column: 3 / -15;
      }

    }

  }

  .column-content .ce-type-dw_textmedia {

    &:has(.ce-media-right) {

      & .ce-inner {
        grid-column: 1 / -9;
      }

      & .ce-media {
        grid-column: 13 / -3;
      }

    }

    &:has(.ce-media-left) {

      & .ce-inner {
        grid-column: 7 / -3;
      }

      & .ce-media {
        grid-column: 1 / -15;
      }

    }


  }

}

  body[data-uid="132"] .ce-type-dw_textmedia .ce-media img {
      width: auto !important;
      max-width: 150px;
      max-height: 70px;
      height: auto;
      object-fit: contain;
      margin-left: 0px;
      border:none;
      border-radius: 0px !important;
  }

  body[data-uid="132"] .ce-type-dw_textmedia .ce-media-left {
      flex: 0 0 180px;  
      min-width: 180px;
  }